"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _nodeFetch = _interopRequireDefault(require("node-fetch"));

var _moduleReplication = require("@resolve-js/module-replication");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const setReplicationPaused = async (pool, paused) => {
  if (paused) {
    await (0, _nodeFetch.default)(`${pool.targetApplicationUrl}${_moduleReplication.PAUSE_REPLICATION.endpoint}`, {
      method: _moduleReplication.PAUSE_REPLICATION.method
    });
  } else {
    await (0, _nodeFetch.default)(`${pool.targetApplicationUrl}${_moduleReplication.RESUME_REPLICATION.endpoint}`, {
      method: _moduleReplication.RESUME_REPLICATION.method
    });
  }
};

var _default = setReplicationPaused;
exports.default = _default;
//# sourceMappingURL=set-replication-paused.js.map